OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
OMToolkit::TreeElement Class Reference

`#include <OMTriBSPTreeAABB.h>`

## Public Types
typedef OMToolkit::Types::ModuleMeshd | MeshT
typedef MeshT::Point | PointT
typedef MeshT::FaceHandle | FaceHT
typedef MeshT::Scalar | ScalarT

## Public Member Functions
| TreeElement (int id)
bool | intersects (OMRay &ray)

## Public Attributes
int | _id
PointT | aabb [2]
int | axis
TreeElement * | left
TreeElement * | right
TriCenter | triangle

## Detailed Description

Tree element class

## Member Typedef Documentation

typedef MeshT::FaceHandle OMToolkit::TreeElement::FaceHT

Face handle type

typedef OMToolkit::Types::ModuleMeshd OMToolkit::TreeElement::MeshT

Mesh type

typedef MeshT::Point OMToolkit::TreeElement::PointT

Point type

typedef MeshT::Scalar OMToolkit::TreeElement::ScalarT

## Constructor & Destructor Documentation

OMToolkit::TreeElement::TreeElement | ( | int | id | ) |

Constructor - initializes children to NULL

## Member Function Documentation

bool OMToolkit::TreeElement::intersects | ( | OMRay & | ray | ) |

Tests intersection between ray and aabb

Parameters

  origin | Ray origin - intersection is computed also in inverse direction
  vector | Ray direction
  cube | Tree element (aabb)

Returns
  True if aabb is hit

## Member Data Documentation

int OMToolkit::TreeElement::_id

PointT OMToolkit::TreeElement::aabb[2]

AABB (0 == min, 1 == max)

int OMToolkit::TreeElement::axis

Division axis in BSP tree

TreeElement* OMToolkit::TreeElement::left

Left child

TreeElement* OMToolkit::TreeElement::right

Right child

TriCenter OMToolkit::TreeElement::triangle

The documentation for this class was generated from the following files:

- trunk/include/OMToolkit/OMTriBSPTreeAABB.h
- trunk/src/toolkit/Toolkit/OMTriBSPTreeAABB.cpp